Retrieve a list of Saved Searches

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/address_book/saved_searches.json

Retrieve a list of Saved Searches and their parameters currently setup in your organization. This returns the name, description, and UUID for the Saved Search. The UUID can then be used as a recipient in other API calls.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
GET /api/address_book/saved_searches.json
curl \
 --request GET 'https://application.textline.com/api/address_book/saved_searches.json'
Response examples (200)
{
  "saved_search": [
    {
      "name": "saved_search_1",
      "description": "saved_search_parameters",
      "uuid": "44db893e-cf20-4279-96c7-60abb8a43b61"
    },
    {
      "name": "customers with tags",
      "description": "has tags",
      "uuid": "dd9d4cc2-c6df-421e-8925-09ec93461482"
    }
  ]
}